Index: sansview/perspectives/fitting/basepage.py
===================================================================
--- sansview/perspectives/fitting/basepage.py	(revision 780d09596aabb9688e706c213a34e1b220d567df)
+++ sansview/perspectives/fitting/basepage.py	(revision 69bee6d7972f5e758107fd9c7d0fc195239205c2)
@@ -5,5 +5,5 @@
 import time
 
-from sans.guiframe.utils import format_number
+from sans.guiframe.utils import format_number,check_float
 from sans.guicomm.events import StatusEvent   
 import pagestate
@@ -565,5 +565,5 @@
             # If qmin and qmax have been modified, update qmin and qmax and 
             # set the is_modified flag to True
-            from sans.guiframe.utils import check_value
+            from sans.guiframe.utils import check_value 
             if check_value( self.qmin, self.qmax):
                 if float(self.qmin.GetValue()) != self.qmin_x:
@@ -577,8 +577,12 @@
                 self.fitrange = False
             if self.npts != None:
-                if float(self.npts.GetValue()) !=  self.num_points:
-                    self.num_points = float(self.npts.GetValue())
-                    is_modified = True
-           
+                if check_float(self.npts):
+                    if float(self.npts.GetValue()) !=  self.num_points:
+                        self.num_points = float(self.npts.GetValue())
+                        is_modified = True
+                else:
+                    msg= "Cannot Plot :Must enter a number!!!  "
+                    wx.PostEvent(self.parent.parent, StatusEvent(status = msg ))
+                    
             
             ## if any value is modify draw model with new value
@@ -988,5 +992,11 @@
             when enter value on panel redraw model according to changed
         """
-        self._onparamEnter_helper()
+        tcrtl= event.GetEventObject()
+        if check_float(tcrtl):
+            self._onparamEnter_helper()
+        else:
+            msg= "Cannot Plot :Must enter a number!!!  "
+            wx.PostEvent(self.parent.parent, StatusEvent(status = msg ))
+            return 
         
         
@@ -1034,11 +1044,14 @@
                     item[4].Clear()
                     item[4].Hide()
+                    
+           
+                value= float(item[2].GetValue())
                 
-                value= float(item[2].GetValue())
                 # If the value of the parameter has changed,
                 # +update the model and set the is_modified flag
                 if value != self.model.getParam(name):
                     self.model.setParam(name,value)
-                    is_modified = True    
+                    is_modified = True   
+            
             except:
                 msg= "Model Drawing  Error:wrong value entered : %s"% sys.exc_value
Index: sansview/perspectives/fitting/fitpage.py
===================================================================
--- sansview/perspectives/fitting/fitpage.py	(revision 780d09596aabb9688e706c213a34e1b220d567df)
+++ sansview/perspectives/fitting/fitpage.py	(revision 69bee6d7972f5e758107fd9c7d0fc195239205c2)
@@ -8,5 +8,5 @@
 
 from sans.guicomm.events import StatusEvent   
-from sans.guiframe.utils import format_number
+from sans.guiframe.utils import format_number,check_float
 
 ## event to post model to fit to fitting plugins
@@ -459,7 +459,12 @@
             when enter value on panel redraw model according to changed
         """
-        self._onparamEnter_helper()
-        self.compute_chisqr()
-        
+        tcrtl= event.GetEventObject()
+        if check_float(tcrtl):
+            self._onparamEnter_helper()
+            self.compute_chisqr()
+        else:
+            msg= "Cannot Plot :Must enter a number!!!  "
+            wx.PostEvent(self.parent.parent, StatusEvent(status = msg ))
+            return 
         
     def reset_page(self, state):
@@ -516,9 +521,15 @@
                 if self.text_disp_1 !=None:
                     self.text_disp_1.Show(True)
-                    
-                self.param_toFit[0][3].Show(True)
-                self.param_toFit[0][4].Clear()
-                self.param_toFit[0][4].SetValue(format_number(cov[0]))
-                self.param_toFit[0][4].Show(True)
+                if cov[0]==None:  
+                    self.param_toFit[0][3].Hide()
+                    self.param_toFit[0][4].Clear()
+                    self.param_toFit[0][4].Hide()
+                    self.param_toFit[0][4].Refresh()
+                else:
+                    self.param_toFit[0][3].Show(True)
+                    self.param_toFit[0][4].Clear()
+                    self.param_toFit[0][4].SetValue(format_number(cov[0]))
+                    self.param_toFit[0][4].Show(True)
+                    self.param_toFit[0][4].Refresh()
         else:
             i=0
@@ -542,7 +553,14 @@
                         if out[j]==self.model.getParam(item[1]):
                             break
-                    item[4].SetValue(format_number(cov[j]))
-                    item[4].Refresh()
-                    item[4].Show(True)   
+                    ## unable to compare cov[j]==numpy.nan so switch to None
+                    if cov[j]==None:
+                        item[3].Hide()
+                        item[4].Refresh()
+                        item[4].Clear()
+                        item[4].Hide()
+                    else:
+                        item[4].SetValue(format_number(cov[j]))
+                        item[4].Refresh()
+                        item[4].Show(True)   
                 i+=1
         
Index: sansview/perspectives/fitting/fitting.py
===================================================================
--- sansview/perspectives/fitting/fitting.py	(revision a81e613e390b0b304db58e9cb5a0d0463037fde4)
+++ sansview/perspectives/fitting/fitting.py	(revision 69bee6d7972f5e758107fd9c7d0fc195239205c2)
@@ -670,14 +670,17 @@
                                 small_out.append(p.value )
                                 model.setParam(param_name,p.value) 
+                                """
                                 if p.stderr==None:
                                     p.stderr=numpy.nan
                                     small_cov.append(p.stderr)
-                                   
                                 else:
                                     small_cov.append(p.stderr)
+                                """
+                                small_cov.append(p.stderr)
                             else:
                                 value= model.getParam(param_name)
                                 small_out.append(value )
-                                small_cov.append(numpy.nan)
+                                #small_cov.append(numpy.nan)
+                                small_cov.append(None)
                     # Display result on each page 
                     page.onsetValues(result.fitness, small_out,small_cov)
Index: sansview/perspectives/fitting/simfitpage.py
===================================================================
--- sansview/perspectives/fitting/simfitpage.py	(revision 77e23a277065abfa7478a1e115ec43af5a79dcc2)
+++ sansview/perspectives/fitting/simfitpage.py	(revision 69bee6d7972f5e758107fd9c7d0fc195239205c2)
@@ -362,4 +362,6 @@
         self.nb_constraint =0     
         self.constraint_dict={}
+        if hasattr(self,"btAdd"):
+            self.btAdd.Hide()
         self._store_model()
       
